Page Summary
-
This endpoint is designed for testing connectivity.
-
The HTTP request uses
POSTtohttps://vgw.googleapis.com/be/mdl/canonical/:issuerId/v1/healthCheckfollowing gRPC Transcoding syntax. -
The request body requires a
requestMetadataobject and accepts an optionalclientMessagestring. -
A successful response body includes a
responseMetadataobject and echoes the providedclientMessagestring.
An endpoint used to test connectivity issues.
HTTP request
POST https://vgw.googleapis.com/be/mdl/canonical/:issuerId/v1/healthCheck
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requestMetadata": {
object ( |
| Fields | |
|---|---|
requestMetadata |
The metadata about the request, required in all requests. |
clientMessage |
A message that the server will echo in the response. |
Response body
A response to a health check, indicating a healthy system.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"responseMetadata": {
object ( |
| Fields | |
|---|---|
responseMetadata |
The metadata about the response, required in all responses. |
clientMessage |
The message sent by the client, echoed by the server. |